import 'package:flutter/material.dart';
import '../../../abg_utils.dart';

// кнопка на всю ширину экрана

button2(String text, Color color, Function() _callback, {bool enable = true, TextStyle? style, double? radius}){
  return Stack(
    children: <Widget>[
      Container(
          width: double.maxFinite,
          padding: EdgeInsets.only(top: 10, bottom: 10),
          decoration: BoxDecoration(
            color: (enable) ? color : Colors.grey.withOpacity(0.5),
            borderRadius: BorderRadius.circular(radius ?? aTheme.radius),
          ),
          child: Text(text, style: style ?? aTheme.style16W800White, textAlign: TextAlign.center, overflow: TextOverflow.ellipsis,)
      ),
      if (enable)
        Positioned.fill(
          child: Material(
              color: Colors.transparent,
              clipBehavior: Clip.hardEdge,
              shape: RoundedRectangleBorder(borderRadius:BorderRadius.circular(aTheme.radius) ),
              child: InkWell(
                splashColor: Colors.black.withOpacity(0.2),
                onTap: (){
                  _callback();
                }, // needed
              )),
        )
    ],
  );
}

button2c(String text, Color color, Function _callback, {TextStyle? style, bool enable = true}){
  return Stack(
    children: <Widget>[
      Container(
          decoration: BoxDecoration(
            color: (enable) ? color : Colors.grey.withOpacity(0.5),
            borderRadius: BorderRadius.circular(aTheme.radius),
          ),
          child: Stack(
            children: [
              Container(
                padding: EdgeInsets.only(top: 10, bottom: 10, left: 20, right: 20),
                child: Text(text, style: style ?? aTheme.style16W800White,
                  textAlign: TextAlign.center, overflow: TextOverflow.ellipsis,),
              ),

              if (enable)
                Positioned.fill(
                  child: Material(
                      color: Colors.transparent,
                      clipBehavior: Clip.hardEdge,
                      shape: RoundedRectangleBorder(borderRadius:BorderRadius.circular(aTheme.radius) ),
                      child: InkWell(
                        splashColor: Colors.black.withOpacity(0.2),
                        onTap: (){
                          _callback();
                        }, // needed
                      )),
                )

            ],
          )
      ),
    ],
  );
}


button2small(String text, Function _callback, {bool enable = true, Color? color}){
  var _color = aTheme.mainColor;
  if (color != null) _color = color;
  return Stack(
    children: <Widget>[
      Container(
          padding: EdgeInsets.only(top: 5, bottom: 5, left: 10, right: 10),
          decoration: BoxDecoration(
            color: (enable) ? _color : Colors.grey.withOpacity(0.5),
            borderRadius: BorderRadius.circular(aTheme.radius),
          ),
          child: Text(text, style: aTheme.style12W600White, textAlign: TextAlign.center, overflow: TextOverflow.ellipsis,)
      ),
      if (enable)
        Positioned.fill(
          child: Material(
              color: Colors.transparent,
              clipBehavior: Clip.hardEdge,
              shape: RoundedRectangleBorder(borderRadius:BorderRadius.circular(aTheme.radius) ),
              child: InkWell(
                splashColor: Colors.black.withOpacity(0.2),
                onTap: (){
                  _callback();
                }, // needed
              )),
        )
    ],
  );
}
